Index: /trunk/boost/filesystem/operations.hpp
===================================================================
--- /trunk/boost/filesystem/operations.hpp (revision 47181)
+++ /trunk/boost/filesystem/operations.hpp (revision 48192)
@@ -1021,10 +1021,16 @@
       void replace_filename( const string_type & s,
         file_status st, file_status symlink_st )
-     {
-       m_path.remove_filename();
-       m_path /= s;
-       m_status = st;
-       m_symlink_status = symlink_st;
-     }
+      {
+        m_path.remove_filename();
+        m_path /= s;
+        m_status = st;
+        m_symlink_status = symlink_st;
+      }
+
+#   ifndef BOOST_FILESYSTEM_NO_DEPRECATED
+      void replace_leaf( const string_type & s,
+        file_status st, file_status symlink_st )
+          { replace_filename( s, st, symlink_st ); }
+#   endif
 
       const Path &  path() const { return m_path; }
@@ -1040,4 +1046,8 @@
       // deprecated functions preserve common use cases in legacy code
       typename Path::string_type filename() const
+      {
+        return path().filename();
+      }
+      typename Path::string_type leaf() const
       {
         return path().filename();
